#ifndef TDENGINE_H
#define TDENGINE_H

#include "TDengine_global.h"
#include "Client.h"

class TDENGINE_EXPORT TDengine:public Client
{
public:
    TDengine();
    ~TDengine();
    virtual void Run(const ConsumerInfo& ci);
    virtual void OnData(const QString& user, const QString& key, const QVariant& val);
    virtual void setLoader(QLibrary*);
private:
    virtual void run();
};

extern "C" {//一定要添加上
TDENGINE_EXPORT Client* instance();
TDENGINE_EXPORT void destroy(Client*);
}

#endif // TDENGINE_H
